<div class="flex overflow-hidden topBar">
  <div (click)="showMyRecipes()"
       class="flex-none flex align-items-center justify-content-center  font-bold m-2 px-5 py-3 border-round">
    <p-tag value="{{myRecipeCount}}" icon="pi pi-shopping-bag"></p-tag>
  </div>
  <div class="flex-grow-1 flex align-items-center justify-content-center  font-bold m-2 px-5 py-3 border-round"><h1>
    Recipes</h1></div>
  <div class="flex-none flex align-items-center justify-content-center   font-bold m-2 px-5 py-3 border-round"><a
    class="pi pi-user font-bold focus:bg-black-alpha-20"></a></div>

</div>
<p-dialog header="My Recipes" *ngIf="showModal" [modal]="true" [(visible)]="showModal" [style]="{width: '50vw'}">

  <app-my-recipes></app-my-recipes>

</p-dialog>
